/*
** ===================================================================
** Nzev souboru   : flash_eeprom.h
** Mikrokontrolr  : ATmega8A,...
** Popis           : Hlavikov soubor funkc pro FLASH EEPROM pam AT45DB081D.
**
** Autor           : Luk Motyka (motylu@seznam.cz)
** Posledn zmna  : 24.04.12 22:59
** ===================================================================
*/

#ifndef _FLASH_EEPROM_H
#define _FLASH_EEPROM_H 1


/*
** Konstanty a definice
*/

#define SS_LOW	PORTB &= ~(_BV(PB2))
#define SS_HIGH PORTB |= (_BV(PB2))		// ovldn dcho signlu SS



/*
** Prototypy funkc
*/

void flash_init (void);	// inicializace registr a perifri MCU
uint8_t spi_rw (uint8_t to_send);	// ten a zpis dat pomoc rozhran SPI
void flash_write (uint16_t page_adr, uint16_t byte_adr, uint16_t no_data, uint8_t *data);  // zpis dat do extern pamti
void flash_read (uint16_t page_adr, uint16_t byte_adr, uint16_t no_data);	// ten dat z extern pamti



#endif

/*
** Konec hlavikovho souboru
*/
